API Reference

KDS Board

The kitchen display board.

2 endpoints· Auth: JWT or API Key
get/api/v1/console/kds/board JWT API Key

Get board

Query parameters

StationId
string (uuid)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/kds/board" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/kds/tickets/{ticketId}/transition JWT API Key

Create transition

Path parameters

ticketIdrequired
string (uuid)
—

Request body

application/json
{
  "action": "string"
}
action
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/kds/tickets/{ticketId}/transition" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "action": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu